Boletines de seguridad de Mozilla

Durante esta semana Mozilla ha lanzado 3 boletines de seguridad que solucionan 10 vulnerabilidades en su navegador Firefox y su gestor de correo Thunderbird.

moz

Los boletines de seguridad, identificados como MFSA 2020-12, MFSA 2020-13 y MFSA 2020-14, explican y dan solución a las siguientes vulnerabilidades:

* CVE-2020-6819: una condición de carrera mientras se ejecuta el destructor ‘nsDocShell’ que podría causar un uso de la memoria previamente liberada que podría explotarse para lograr la ejecución de código. Afecta a Thunderbird.

* CVE-2020-6820: una condición de carrera al manejar ‘ReadableStream’ que podría causar un uso de la memoria previamente liberada que podría explotarse para lograr la ejecución de código. Afecta a Thunderbird.

* CVE-2020-6821: un error al no inicializar la memoria podría permitir el acceso a información sensible cuando se usa el método webGL ‘copyTexSubImage’. Afecta a Firefox, Firefox ESR y Thunderbird.

* CVE-2020-6822: un problema de escritura fuera de límites en ‘GMPDecodeData’ cuando se procesan imágenes grandes que podría explotarse para lograr la ejecución de código. Afecta a Firefox, Firefox ESR y Thunderbird.

* CVE-2020-6823: extensión maliciosa podría obtener códigos de autenticación de los flujos de inicio de sesión de OAuth y lograr el acceso a la cuenta del usuario en el proveedor de servicios. Afecta a Firefox.

* CVE-2020-6824: un error podría causar que se generasen contraseñas idénticas para un mismo sitio en sesiones de navegación privadas diferentes. Afecta a Firefox.

* CVE-2020-6825: diversos problemas de corrupción de memoria que podrían ser aprovechados para ejecutar código arbitrario. Afecta a Firefox, Firefox ESR y Thunderbird.

* CVE-2020-6826: diversos problemas de corrupción de memoria que podrían ser aprovechados para ejecutar código arbitrario. Afecta a Firefox.

* CVE-2020-6827: las pestañas personalizadas creadas al seguir un enlace ‘intent://-schemed’ podrían mostrar un URI falsificado y hacer creer al usuario que se encuentra en un sitio de confianza. Afecta a Firefox ESR para Android.

* CVE-2020-6828: una aplicación maliciosa de Android podría crear un ‘Intent’ que al ser procesado por Firefox podría provocar la sobrescritura de un archivo arbitrario en el directorio del perfil del usuario. Un vector de explotación sería proporcionar un archivo ‘user.js’ que proporcione valores de preferencia arbitrarios. El control de las preferencias podría conllevar un nivel de compromiso equivalente a la ejecución de código arbitrario. Afecta a Firefox ESR para Android

Esta vulnerabilidades se encuentran en las versiones de Firefox 74, Firefox ESR 68.6, y Thunderbird 68.6.  Todos los problemas de seguridad expuestos anteriormente se resuelven con las versiones de Firefox 75, Firefox ESR 68.7 y Thunderbird 68.7, pudiéndose actualizar los productos desde los canales habituales.
Más info:
Mozilla Foundation Security Advisory 2020-12
https://www.mozilla.org/en-US/security/advisories/mfsa2020-12/

Mozilla Foundation Security Advisory 2020-13
https://www.mozilla.org/en-US/security/advisories/mfsa2020-13/

Mozilla Foundation Security Advisory 2020-14
https://www.mozilla.org/en-US/security/advisories/mfsa2020-14/

Powered by WPeMatico

Gustavo Genez

Informático de corazón y apasionado por la tecnología. La misión de este blog es llegar a los usuarios y profesionales con información y trucos acerca de la Seguridad Informática.